Moody’s strongly recommends that Risk Modeler and UnderwriteIQ tenants use the Platform APIs instead of the Risk Modeler APIs for all future projects. See Migrate to Plaform APIs.

Search analysis groups

Returns a list of analysis groups.

A successful request returns information about the analysis groups that meet the filtering criteria. For each analysis group, the service returns the name, groupId, the rateSchemes, and an array of the component analysisIds.

If you are interested in a particular analysis group, you can specify the analysis group ID in the Get analysis group.

Query Params
string

Filters query results by evaluating the value of expressions. Supports four types of operators:

  • Comparison: q=[attribute][comparison operator][value] e.g. id=100, id!=100, id>100
  • Logical: q=[expression][logical operator][expression] e.g. id=100 AND name="xyz" , id=100 OR type="abc"
  • List: q=[attribute][list operator][values list] e.g. id IN (1,2,3], name NOT IN ("abc","xyz")
  • Matching: q=[attribute][comparison operator][pattern], e.g. name LIKE "abc " , type NOT LIKE " xyz* "
    To learn more, see Filter Exposure Data.
string

Sort order of records returned. One of ASC (ascending) or DESC (descending).

int32

Number of records returned.

int32

Number of records offset before the first record returned. By default, 0.

Responses

Language
Credentials
URL
Response
Choose an example:
application/json